#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.illustration import IBasicIllustration
from pyams_content.component.links.interfaces import IBaseLink, IInternalLink
from pyams_default_theme.interfaces import IContentNavigationIllustration
from pyams_skin.layer import IPyAMSLayer

# import packages
from pyams_utils.adapter import adapter_config


@adapter_config(context=(IBaseLink, IPyAMSLayer), provides=IContentNavigationIllustration)
def base_link_navigation_illustration_adapter(context, request):
    """Base link navigation illustration adapter"""
    illustration = IBasicIllustration(context, None)
    if not (illustration and illustration.has_data()):
        if IInternalLink.providedBy(context):
            target = context.get_target()
            if target is not None:
                illustration = request.registry.queryMultiAdapter((target, request),
                                                                  IContentNavigationIllustration)
    return illustration
