#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.features.renderer.interfaces import ISharedContentRenderer
from pyams_content.shared.common.interfaces import IWfSharedContent
from pyams_default_theme.layer import IPyAMSDefaultLayer

# import packages
from pyams_content.features.renderer.skin import BaseContentRenderer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config


@adapter_config(name='header-render', context=(IWfSharedContent, IPyAMSDefaultLayer),
                provides=ISharedContentRenderer)
@template_config(template='templates/content-header.pt', layer=IPyAMSDefaultLayer)
class SharedContentHeaderRenderer(BaseContentRenderer):
    """Shared content header renderer"""

    weight = 1

    i18n_context_attrs = ('title', )
