#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.features.header.interfaces import IHeaderTarget, IHeaderSettings
from pyams_default_theme.features.header.interfaces import ISimpleHeaderRendererSettings
from pyams_skin.layer import IPyAMSUserLayer

# import packages
from pyams_template.template import template_config
from pyams_utils.traversing import get_parent
from pyams_viewlet.viewlet import contentprovider_config, ViewContentProvider
from zope.interface import Interface


@contentprovider_config(name='pyams.banner', layer=IPyAMSUserLayer, view=Interface)
@template_config(template='templates/banner.pt', layer=IPyAMSUserLayer)
class Banner(ViewContentProvider):
    """Banner content provider"""

    @property
    def settings(self):
        target = get_parent(self.context, IHeaderTarget)
        settings = IHeaderSettings(target)
        while settings.inherit:
            settings = IHeaderSettings(settings.parent)
        return ISimpleHeaderRendererSettings(settings.settings, None)
